/*
 * init.c: skeleton for early initialisation code.
 *
 * Copyright (C) 1999 Harald Koerfgen
 *
 * $Id: init.c,v 1.1 1999/09/14 01:26:21 sjhill Exp $
 */
#include <linux/init.h>
#include <linux/config.h>

/*
 * Although CE machines probably don't have a boot PROM
 * which allows to gather information about the machine
 * we're running via callbacks this is the right place
 * to do some early initialisations.
 *
 * It should be possible to make use of information which
 * the bootloader passed to us.
 */

extern void prom_meminit(void);
extern void prom_identify_arch(void);
extern void prom_init_cmdline(int, char **);

/*
 * Helpful for debugging :-)
 */
__initfunc(int prom_printf(char *s))
{
	/*
	 * Printing messages via serial port would be nice here :-)
	 */
	return 0;
}

/*
 * That's the minimum of what has do be done
 */
__initfunc(int prom_init(int argc, char **argv))
{
	prom_identify_arch();
	prom_meminit();
	prom_init_cmdline(argc, argv);

	return 0;
}
