
/* $Id: rtc.c,v 1.1 1999/09/14 01:20:36 sjhill Exp $

 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * RTC routines for CE machines.
 *
 * Copyright (C) Harald Koerfgen
 */
#include <linux/mc146818rtc.h>

extern char *poseidon_rtc_base;

static unsigned char poseidon_rtc_read_data(unsigned long addr)
{
    return (poseidon_rtc_base[addr * 4]);
}

static void poseidon_rtc_write_data(unsigned char data, unsigned long addr)
{
    poseidon_rtc_base[addr * 4] = data;
}

static int poseidon_rtc_bcd_mode(void)
{
    return 0;
}

struct rtc_ops poseidon_rtc_ops =
{
    &poseidon_rtc_read_data,
    &poseidon_rtc_write_data,
    &poseidon_rtc_bcd_mode
};
