/*
 * Setup the interrupt stuff.
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) Harald Koerfgen
 */
#include <linux/sched.h>
#include <linux/interrupt.h>
#include <linux/mc146818rtc.h>
#include <linux/param.h>
#include <asm/mipsregs.h>
#include <asm/bootinfo.h>
#include <asm/init.h>
#include <asm/irq.h>
#include <asm/reboot.h>

#include <asm/dec/interrupts.h>

extern asmlinkage void poseidon_handle_int(void);

char *poseidon_rtc_base = (char *) 0;

decint_t poseidon_interrupt[NR_INTS];

extern void poseidon_machine_restart(char *command);
extern void poseidon_machine_halt(void);
extern void poseidon_machine_power_off(void);

extern struct rtc_ops poseidon_rtc_ops;

extern int setup_poseidon_irq(int, struct irqaction *);

void (*board_time_init) (struct irqaction * irq);

__initfunc(static void poseidon_irq_setup(void))
{
    switch (mips_machtype) {
    default:
	panic("Don't know how to set this up!");
	break;
    }
    set_except_vector(0, poseidon_handle_int);
}

/*
 * enable the periodic interrupts
 */
__initfunc(static void poseidon_time_init(struct irqaction *irq))
{
    /*
     * Here we go, enable periodic rtc interrupts.
     */
}

__initfunc(void poseidon_setup(void))
{
    irq_setup = poseidon_irq_setup;
    board_time_init = poseidon_time_init;

    _machine_restart = poseidon_machine_restart;
    _machine_halt = poseidon_machine_halt;
    _machine_power_off = poseidon_machine_power_off;

    rtc_ops = &poseidon_rtc_ops;
}
